
#### Scripts

##### New: Code42FileEventsToMarkdownTable

- Formats Code42 File Events as a markdown table for display in Code42 Alert Incidents

#### Integrations

##### Code42
- Updated the Docker image to: *demisto/py42:1.0.0.52352*.

- New configuration option ***v2_events*** to enable migration to the V2 File Event data model (V1 events are deprecated and not getting new fields).
- New command ***code42-file-events-search*** for searching for V2 file events.
- New command ***code42-file-events-table*** for formatting file events (from incident field, search results, or combined) as a markdown table.
- Command ***code42-securitydata-search*** is deprecated. Use ***code42-file-events-search*** instead.

#### Incident Fields

- New: **Code42 File Events Version**
  - Indicates if the Code42 Integration was configured for V1 or V2 file events when the incident was fetched.
- **Code42 File Events** 
  - Field columns are only valid for V1 file events. When updating integration to V2 events, any layouts depending on the `code42fileevents` incident field grid will no longer display. Use `Code42FileEventsToMarkdownTable` script in custom layouts instead.

#### Mappers

##### Code42 - Mapping

- Added mapping for new **Code42 File Events Version** incident field.

#### Layouts
##### Code42 Security Alert
- Updated the Code42 File Events panel to be a dynamic-section and use the ***Code42FileEventsToMarkdownTable*** to cleanly format the file events as a markdown table to more easily see all event details.

#### Playbooks

##### Code42 Exfiltration Playbook
- Adds condition to get filenames & hashes from events for both V1 and V2 events.